[REGLE] Problème php en local

23 Aoû 2017 08:50 - 25 Aoû 2017 21:51 #1 par Schlagouille
Bonjour,

En ligne chez OVH (php 7.0.17), aucun problème !

Avec le même site d'essais en local sous WampServer Version 3.0.6 64bit et php 7.0.10 j'obtiens le message suivant :

( ! ) Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgContentJw_allvideos has a deprecated constructor in D:\SITES_LOCAUX\ESSAI1\plugins\content\jw_allvideos\jw_allvideos.php on line 18

Je sais contourner le pb
- soit en désactivant le module allvideos et en diffusant mes vidéos à l'aide de JCE (Mediabox)
- soit en gardant la version php 5.6.25 en local
Mais ce que je souhaite, c'est régler le pb car avec l'évolution de Joomla! il risque aussi de se présenter en ligne. D'autant plus qu'en essayant le template Kaiser ou d'autre de Crosstec j'ai des messages similaires.

Merci pour votre aide

Connexion pour participer à la conversation.

23 Aoû 2017 10:38 #2 par cavo789
Bonjour

La seule personne pouvant "régler" le problème, c'est le développeur; c'est lui qui doit corriger son code source.

De ton côté, tu peux parfaitement conserver la nouvelle version de PHP et, et c'est ici l'astuce, désactiver l'affichage des messages d'erreurs (type notice, warning, ...). Cela se paramétrise dans la configuration générale de ton site; "Rapport d'erreurs" à mettre sur Aucun pour un site de production.

Bonne journée.

Christophe (cavo789)
Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache www.aesecure.com
1. aeSecure QuickScan - Outil de scan gratuit de votre site : www.aesecure.com/fr/blog/aesecure-quickscan.html
2. Conseils pour le nettoyer le sécuriser : www.aesecure.com/fr/blog/site-hacke.html
Les utilisateur(s) suivant ont remercié: Schlagouille

Connexion pour participer à la conversation.

23 Aoû 2017 20:53 #3 par Schlagouille
Bonjour,
Toujours aussi réactif sur ce forum. Merci pour cette réponse.
Les solutions sont à chaque fois dans Joomla! même. En tout cas pour moi.
C'est certainement la bonne façon et la plus radicale de "contourner" le pb et la solution me convient, pour les templates cités aussi.
Je me pose juste la question : Pourquoi uniquement en local ?

En tout cas, merci beaucoup
P Schlag

Connexion pour participer à la conversation.

24 Aoû 2017 10:27 #4 par cavo789
Bonjour

>Je me pose juste la question : Pourquoi uniquement en local ?

Parce que très probablement tu as une configuration de non-affichage des erreurs sur ton site de production.

Cela peut être fait de plusieurs façons : php.ini, .htaccess ou encore .ovh_config si tu es chez toi.

Christophe (cavo789)
Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache www.aesecure.com
1. aeSecure QuickScan - Outil de scan gratuit de votre site : www.aesecure.com/fr/blog/aesecure-quickscan.html
2. Conseils pour le nettoyer le sécuriser : www.aesecure.com/fr/blog/site-hacke.html
Les utilisateur(s) suivant ont remercié: Schlagouille

Connexion pour participer à la conversation.

25 Aoû 2017 21:49 #5 par Schlagouille
Merci pour cette info. Il me reste donc, par curiosité, à chercher où cela se passe sur mon site chez OVH.

P Schlag

Connexion pour participer à la conversation.

Temps de génération de la page : 0.221 secondes

Sur ce site, nous utilisons des cookies.